package com.lantone.qc.kernel.structure.ai;

import com.lantone.qc.kernel.client.CRFServiceClient;
import com.lantone.qc.kernel.structure.ai.model.CrfOut;
import com.lantone.qc.pub.model.InputInfo;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class AIAnalyze {

    private CRFServiceClient crfServiceClient;
    BeHospitalizedAI beHospitalizedAI = new BeHospitalizedAI();
    FirstCourseRecordAI firstCourseRecordAI = new FirstCourseRecordAI();
    LeaveHospitalAI leaveHospitalAI = new LeaveHospitalAI();

    public AIAnalyze(CRFServiceClient crfService) {
        this.crfServiceClient = crfService;
    }

    public void AIprocess(InputInfo inputInfo) {
        beHospitalizedAI.medrec(inputInfo, crfServiceClient);
        firstCourseRecordAI.medrec(inputInfo, crfServiceClient);
        leaveHospitalAI.medrec(inputInfo, crfServiceClient);
    }


}
