package com.lantone.qc.pub.model.label;

import com.lantone.qc.pub.model.entity.Chief;
import com.lantone.qc.pub.model.entity.DoctorAdvice;
import com.lantone.qc.pub.model.entity.Notes;
import com.lantone.qc.pub.model.entity.Outcome;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName : LeaveHospital
 * @Description :
 * @Author : 楼辉荣
 * @Date: 2020-03-18 15:51
 */
@Getter
@Setter
public class LeaveHospitalLabel {
    List<Chief> chiefs = new ArrayList<>();   //主诉
    List<Notes> noteses = new ArrayList<>();   //注意事项
    DoctorAdvice doctorAdvices;   //医嘱信息
    List<Outcome> outcomes = new ArrayList<>();   //转归情况
}